package app;

import pps.core.common.utils.CounterBuilder;
import xstartup.base.XStartup;
import xstartup.base.conf.XServerConf;
import xstartup.base.conf.XServiceConf;
import xstartup.boot.XStartupApplication;
import xstartup.feature.api.XApiFeature;
import xstartup.feature.api.conf.XApiCookieConf;
import xstartup.feature.cloud.XCloudHuaweiCseFeature;
import xstartup.feature.cloud.conf.XCloudBundle;
import xstartup.feature.cloud.conf.XCloudBundlesConf;
import xstartup.feature.mybatis.XMybatisFeature;
import xstartup.feature.rpc.XRpcFeature;
import xstartup.feature.swagger.XSwaggerFeature;

/**
 * 光伏预测模块启动程序
 *
 * @author ZWT
 * @date 2023/11/28
 */
public class DeployPpsPredictionApplication {
    public static void main(String... args) {
        CounterBuilder.globalCounterBuilder.setFieldValue(CounterBuilder.DEPLOY_KEY, DeployPpsPredictionApplication.class.getSimpleName());
        XStartup startup = new XStartupApplication("pps");
        startup.config(new XServerConf(22061).naming("pps-prediction"))
                .config(new XServiceConf("pps"));
        startup.enable(XApiFeature.class)
                .config(new XApiCookieConf("%4bH8s9&", 43200));
        startup.enable(XSwaggerFeature.class);
        startup.enable(XMybatisFeature.class);
        startup.enable(XRpcFeature.class);
        startup.enable(XCloudHuaweiCseFeature.class)
                .config(XCloudBundlesConf.with(
                        XCloudBundle.naming("pps-system").addModule("pps", "cloud", "system"),
                        XCloudBundle.naming("pps-base").addModule("pps", "cloud", "base"),
                        XCloudBundle.naming("pps-space").addModule("pps", "cloud", "space")
                ));
        startup.run(args);
    }
}
